gdcm::Attribute< Group, Element, TVR, VM::VM1_3 > Class Template Reference

`#include <gdcmAttribute.h>`

Inheritance diagram for gdcm::Attribute< Group, Element, TVR, VM::VM1_3 >:
[legend]
Collaboration diagram for gdcm::Attribute< Group, Element, TVR, VM::VM1_3 >:
[legend]

## Public Types

enum |
typedef VRToType< TVR >::Type | ArrayType
Public Types inherited from gdcm::Attribute< Group, Element, TVR, VM::VM1_n >
enum |
typedef VRToType< TVR >::Type | ArrayType

## Public Member Functions

| GDCM_STATIC_ASSERT (((VR::VRType) TVR &(VR::VRType)(TagToType< Group, Element >::VRType)))
DataElement | GetAsDataElement () const
unsigned int | GetNumberOfValues () const
ArrayType & | GetValue (unsigned int idx=0)
const ArrayType * | GetValues () const
VM | GetVM () const
bool | operator!= (const Attribute &att) const
bool | operator< (const Attribute &att) const
bool | operator== (const Attribute &att) const
ArrayType & | operator[] (unsigned int idx)
void | Print (std::ostream &os) const
void | Set (DataSet const &ds)
void | SetFromDataElement (DataElement const &de)
void | SetFromDataSet (DataSet const &ds)
void | SetValue (ArrayType v, unsigned int idx=0)
void | SetValues (const ArrayType *array, unsigned int numel=VMType)
Public Member Functions inherited from gdcm::Attribute< Group, Element, TVR, VM::VM1_n >
| Attribute ()
| ~Attribute ()
| GDCM_STATIC_ASSERT (((((VR::VRType) TVR &VR::VR_VM1) &&((VM::VMType) TagToType< Group, Element >::VMType==VM::VM1))||!((VR::VRType) TVR &VR::VR_VM1)))
| GDCM_STATIC_ASSERT (((VR::VRType) TVR &(VR::VRType)(TagToType< Group, Element >::VRType)))
| GDCM_STATIC_ASSERT ((VM::VM1_n &(VM::VMType)(TagToType< Group, Element >::VMType)))
DataElement | GetAsDataElement () const
unsigned int | GetNumberOfValues () const
ArrayType & | GetValue (unsigned int idx=0)
ArrayType const & | GetValue (unsigned int idx=0) const
const ArrayType * | GetValues () const
bool | operator!= (const Attribute &att) const
bool | operator< (const Attribute &att) const
bool | operator== (const Attribute &att) const
ArrayType & | operator[] (unsigned int idx)
ArrayType const & | operator[] (unsigned int idx) const
void | Print (std::ostream &os) const
void | Set (DataSet const &ds)
void | SetFromDataElement (DataElement const &de)
void | SetFromDataSet (DataSet const &ds)
void | SetNumberOfValues (unsigned int numel)
void | SetValue (ArrayType v)
void | SetValue (unsigned int idx, ArrayType v)
void | SetValues (const ArrayType *array, unsigned int numel, bool own=false)

## Static Public Member Functions

static VM | GetDictVM ()
static VR | GetDictVR ()
static Tag | GetTag ()
static VR | GetVR ()
Static Public Member Functions inherited from gdcm::Attribute< Group, Element, TVR, VM::VM1_n >
static VM | GetDictVM ()
static VR | GetDictVR ()
static Tag | GetTag ()
static VM | GetVM ()
static VR | GetVR ()

## Public Attributes

ArrayType | Internal [VMToLength< TVM >::Length]

## Protected Member Functions

void | SetByteValue (const ByteValue *bv)
void | SetByteValueNoSwap (const ByteValue *bv)
Protected Member Functions inherited from gdcm::Attribute< Group, Element, TVR, VM::VM1_n >
void | SetByteValue (const ByteValue *bv)
void | SetByteValueNoSwap (const ByteValue *bv)

## Member Typedef Documentation

## ArrayType

typedef VRToType<TVR>::Type gdcm::Attribute< Group, Element, TVR, TVM >::ArrayType

## Member Enumeration Documentation

## anonymous enum

anonymous enum

## Member Function Documentation

## GDCM_STATIC_ASSERT()

gdcm::Attribute< Group, Element, TVR, TVM >::GDCM_STATIC_ASSERT | ( | ((VR::VRType) TVR &(VR::VRType)(TagToType< Group, Element >::VRType)) |  | ) |

## GetAsDataElement()

DataElement gdcm::Attribute< Group, Element, TVR, TVM >::GetAsDataElement | ( |  | ) | const

inline

## GetDictVM()

VM gdcm::Attribute< Group, Element, TVR, TVM >::GetDictVM | ( |  | ) |

inline static

## GetDictVR()

VR gdcm::Attribute< Group, Element, TVR, TVM >::GetDictVR | ( |  | ) |

inline static

## GetNumberOfValues()

unsigned int gdcm::Attribute< Group, Element, TVR, TVM >::GetNumberOfValues | ( |  | ) | const

inline

## GetTag()

Tag gdcm::Attribute< Group, Element, TVR, TVM >::GetTag | ( |  | ) |

inline static

## GetValue()

ArrayType & gdcm::Attribute< Group, Element, TVR, TVM >::GetValue | ( | unsigned int | idx = 0 | ) |

inline

## GetValues()

const ArrayType * gdcm::Attribute< Group, Element, TVR, TVM >::GetValues | ( |  | ) | const

inline

## GetVM()

template<uint16_t Group, uint16_t Element, long long TVR>

VM gdcm::Attribute< Group, Element, TVR, VM::VM1_3 >::GetVM | ( |  | ) | const

inline

References gdcm::VM::VM1_3.

## GetVR()

VR gdcm::Attribute< Group, Element, TVR, TVM >::GetVR | ( |  | ) |

inline static

## operator!=()

bool gdcm::Attribute< Group, Element, TVR, TVM >::operator!= | ( | const Attribute< Group, Element, TVR, VM::VM1_3 > & | att | ) | const

inline

## operator<()

bool gdcm::Attribute< Group, Element, TVR, TVM >::operator< | ( | const Attribute< Group, Element, TVR, VM::VM1_3 > & | att | ) | const

inline

## operator==()

bool gdcm::Attribute< Group, Element, TVR, TVM >::operator== | ( | const Attribute< Group, Element, TVR, VM::VM1_3 > & | att | ) | const

inline

## operator[]()

ArrayType & gdcm::Attribute< Group, Element, TVR, TVM >::operator[] | ( | unsigned int | idx | ) |

inline

## Print()

void gdcm::Attribute< Group, Element, TVR, TVM >::Print | ( | std::ostream & | os | ) | const

inline

## Set()

void gdcm::Attribute< Group, Element, TVR, TVM >::Set | ( | DataSet const & | ds | ) |

inline

## SetByteValue()

void gdcm::Attribute< Group, Element, TVR, TVM >::SetByteValue | ( | const ByteValue * | bv | ) |

inline protected

## SetByteValueNoSwap()

void gdcm::Attribute< Group, Element, TVR, TVM >::SetByteValueNoSwap | ( | const ByteValue * | bv | ) |

inline protected

## SetFromDataElement()

void gdcm::Attribute< Group, Element, TVR, TVM >::SetFromDataElement | ( | DataElement const & | de | ) |

inline

## SetFromDataSet()

void gdcm::Attribute< Group, Element, TVR, TVM >::SetFromDataSet | ( | DataSet const & | ds | ) |

inline

## SetValue()

void gdcm::Attribute< Group, Element, TVR, TVM >::SetValue | ( | ArrayType | v,
|  | unsigned int | idx = 0 )

inline

## SetValues()

void gdcm::Attribute< Group, Element, TVR, TVM >::SetValues | ( | const ArrayType * | array,
|  | unsigned int | numel = VMType )

inline

## Member Data Documentation

## Internal

ArrayType gdcm::Attribute< Group, Element, TVR, TVM >::Internal[VMToLength< TVM >::Length]

The documentation for this class was generated from the following file:

- gdcmAttribute.h